org.vertx.java.core.impl

## Class OrderedExecutorFactory

- java.lang.Object
- - org.vertx.java.core.impl.OrderedExecutorFactory

    public class OrderedExecutorFactory
    extends java.lang.Object

A factory for producing executors that run all tasks in order, which delegate to a single common executor instance.

### Constructor Summary

Constructors
Constructor and Description
`OrderedExecutorFactory(java.util.concurrent.Executor parent)` Construct a new instance delegating to the given parent executor.

### Method Summary

Methods
`java.util.concurrent.Executor` `getExecutor()` Get an executor that always executes tasks in order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OrderedExecutorFactory

    public OrderedExecutorFactory(java.util.concurrent.Executor parent)

Construct a new instance delegating to the given parent executor.

Parameters:
  `parent` - the parent executor

### Method Detail

#### getExecutor

    public java.util.concurrent.Executor getExecutor()

Get an executor that always executes tasks in order.

Returns:
  an ordered executor